using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace InfragisticWinGrid
{
  public partial class Form1 : Form
  {
    public Form1()
    {
      InitializeComponent();
    }

#region LoadSave
    const string c_strViewFileName = "view.xml";
    const string c_strDateFileName = "data.xml";
    private void Form1_Load(object sender, EventArgs e)
    {
      try
      {
        dataSet1.ReadXml(c_strDateFileName, XmlReadMode.IgnoreSchema);
      }
      catch
      {
      }
      try
      {
        if (System.IO.File.Exists(c_strViewFileName))
          ultraGrid1.DisplayLayout.LoadFromXml(c_strViewFileName);
      }
      catch
      { 
      }
    }
    private void Form1_FormClosed(object sender, FormClosedEventArgs e)
    {
      try
      {
        ultraGrid1.DisplayLayout.SaveAsXml(c_strViewFileName);
      }
      catch
      { 
      }
      try
      {
        dataSet1.WriteXml(c_strDateFileName, XmlWriteMode.IgnoreSchema);
      }
      catch
      { 
      }
    }
#endregion

    private void btnAddRow_Click(object sender, EventArgs e)
    {
      string [] Cols = ultraTextEditor1.Text.Split('-');
      object[] Row = new object[dataSet1.DataTable1.Columns.Count];
      for (int i=0; i<((Cols.Length<Row.Length)?Cols.Length:Row.Length); ++i)
        Row[i] = Cols[i];
      dataSet1.DataTable1.Rows.Add(Row);
    }

    private void btnReorder_Click(object sender, EventArgs e)
    {
      ultraGrid1.DisplayLayout.Bands[0].SortedColumns.RefreshSort(true);
    }
    private static Random rnd = new Random();

    private void btnChange_Click(object sender, EventArgs e)
    {
      string[] Cols = ultraTextEditor1.Text.Split('-');
      DataRow Row = dataSet1.Tables[0].Rows[rnd.Next(dataSet1.Tables[0].Rows.Count)];
      for (int i = 0; i < ((Cols.Length < Row.ItemArray.Length) ? Cols.Length : Row.ItemArray.Length); ++i)
        Row[i] = Cols[i];
      Row.AcceptChanges();
    }
  }
}